PPPCTL(8)

NAME
pppctl - PPP control program

SYNOPSIS
pppctl [-v] [-t n] [-p passwd] Port | LocalSocket command [;command] ...

DESCRIPTION
This program provides command line control of the ppp daemon. Its primary use is to facilitate simple scripts that control a running daemon. Pppctl expects at least two arguments. The first is interpreted as the socket on which the ppp daemon is listening. If the socket contains a leading '/', it is taken as an AF_LOCAL socket. If it consists entirely of numbers, it is interpreted as a TCP port number on localhost. If it contains any characters, the first of which is not a '/' character, it is interpreted as an entry of type "tcp" from /etc/services. All remaining arguments are concatenated to form the command(s) that will be sent to the ppp daemon. If any semi-colon characters are found, they are treated as command delimiters, allowing more than one command in a given "session". For example; pppctl 3000 set timeout 300\; show timeout Don't forget to escape or quote the ';' as it is a special character for most shells. The following command line options are available:

-v  Display all data sent to and received from the ppp daemon. Normally, pppctl displays only non-prompt lines received.

-t n
    Use a timeout of n instead of the default 2 seconds. This may be required if you wish to control a daemon over a slow (or even a dialup) link.

-p passwd
    Specify the password required by the ppp daemon. If this switch is not used, pppctl will prompt for a password once it has successfully connected to ppp (assuming, of course, that one is required).

SEE ALSO
ppp(8), services(5)

HISTORY
The pppctl command first appeared in FreeBSD 2.2.5.